Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atlassian.bamboo.migration
Class XmlMigrator

    java.lang.Object
      com.atlassian.bamboo.migration.XmlMigrator

    public class XmlMigrator

extends Object

Field Summary
`static String` | `ADMIN_XML`
`static String` | `BAMBOO_XML_BUILD_DATE`
`static String` | `BAMBOO_XML_BUILD_NUMBER`
`static String` | `BAMBOO_XML_DATE`
`static String` | `BAMBOO_XML_VERSION`
`static String` | `XML_ROOT`

Constructor Summary
`XmlMigrator()`

Method Summary
`long` | `exportXml(String path)`
`long` | `importXml(String path)`
`void` | `setAdministrationConfiguration(AdministrationConfiguration administrationConfiguration)`
`void` | `setBootstrapManager(BootstrapManager bootstrapManager)`
`void` | `setCacheManager(CacheManager cacheManager)`
`void` | `setMappers(List mappers)`
`void` | `setSchemaHelper(SchemaHelper schemaHelper)`
`void` | `setSessionFactory(SessionFactory sessionFactory)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ADMIN_XML

    public static final String ADMIN_XML

See Also:
  Constant Field Values

### XML_ROOT

    public static final String XML_ROOT

See Also:
  Constant Field Values

### BAMBOO_XML_DATE

    public static final String BAMBOO_XML_DATE

See Also:
  Constant Field Values

### BAMBOO_XML_VERSION

    public static final String BAMBOO_XML_VERSION

See Also:
  Constant Field Values

### BAMBOO_XML_BUILD_NUMBER

    public static final String BAMBOO_XML_BUILD_NUMBER

See Also:
  Constant Field Values

### BAMBOO_XML_BUILD_DATE

    public static final String BAMBOO_XML_BUILD_DATE

See Also:
  Constant Field Values

Constructor Detail

### XmlMigrator

    public XmlMigrator()

Method Detail

### importXml

    public long importXml(String path)
                   throws Exception

  Throws:
    `Exception`

### exportXml

    public long exportXml(String path)
                   throws Exception

  Throws:
    `Exception`

### setBootstrapManager

    public void setBootstrapManager(BootstrapManager bootstrapManager)

### setAdministrationConfiguration

    public void setAdministrationConfiguration(AdministrationConfiguration administrationConfiguration)

### setMappers

    public void setMappers(List mappers)

### setSchemaHelper

    public void setSchemaHelper(SchemaHelper schemaHelper)

### setCacheManager

    public void setCacheManager(CacheManager cacheManager)

### setSessionFactory

    public void setSessionFactory(SessionFactory sessionFactory)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Atlassian Software Systems. All Rights Reserved.